libetonyek::IWORKGeometryElement Class Reference documentation

libetonyek::IWORKGeometryElement Class Reference

`#include <IWORKGeometryElement.h>`

Inheritance diagram for libetonyek::IWORKGeometryElement:

## Public Member Functions
| IWORKGeometryElement (IWORKXMLParserState &state)
| IWORKGeometryElement (IWORKXMLParserState &state, IWORKGeometryPtr_t &geometry)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
| IWORKXMLContextBase (IWORKXMLParserState &state)
| IWORKXMLContextBase (IWORKXMLParserState &state, const T &a)
IWORKXMLParserState & | getState ()
Public Member Functions inherited from libetonyek::IWORKXMLContext
virtual | ~IWORKXMLContext ()=0
virtual void | CDATA (const char *value)
| Process CDATA content of an element.

## Protected Member Functions
void | attribute (int name, const char *value) override
| Process an attribute.
IWORKXMLContextPtr_t | element (int name) override
| Create a context for parsing a child element.
void | endOfElement () override
| Signalize the end of an element.
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
IWORKCollector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Member Functions inherited from libetonyek::IWORKXMLContextElement
| IWORKXMLContextElement (IWORKXMLParserState &)
void | attribute (int name, const char *value) override
| Process an attribute.
void | text (const char *value) override
| Process textual content of an element.
const boost::optional< ID_t > & | getId () const
void | setId (const char *value)
Protected Member Functions inherited from libetonyek::IWORKXMLContextMinimal
| IWORKXMLContextMinimal ()
void | startOfElement () override
| Signalize the start of an element.
void | endOfElement () override
| Signalize the end of an element.

## Private Member Functions
| IWORKGeometryElement (const IWORKGeometryElement &)
IWORKGeometryElement & | operator= (const IWORKGeometryElement &)

## Private Attributes
IWORKGeometryPtr_t *const | m_geometry
boost::optional< IWORKSize > | m_naturalSize
boost::optional< IWORKSize > | m_size
boost::optional< IWORKPosition > | m_pos
boost::optional< double > | m_angle
boost::optional< double > | m_shearXAngle
boost::optional< double > | m_shearYAngle
boost::optional< bool > | m_aspectRatioLocked
boost::optional< bool > | m_sizesLocked
boost::optional< bool > | m_horizontalFlip
boost::optional< bool > | m_verticalFlip

## Additional Inherited Members
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
IWORKXMLParserState & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKGeometryElement() [1/3]

libetonyek::IWORKGeometryElement::IWORKGeometryElement | ( | IWORKXMLParserState & | state | ) |
| explicit

Referenced by IWORKGeometryElement(), and operator=().

## ◆ IWORKGeometryElement() [2/3]

libetonyek::IWORKGeometryElement::IWORKGeometryElement | ( | IWORKXMLParserState & | state,
|  | IWORKGeometryPtr_t & | geometry )

## ◆ IWORKGeometryElement() [3/3]

libetonyek::IWORKGeometryElement::IWORKGeometryElement | ( | const IWORKGeometryElement & |  | ) |
| private

## Member Function Documentation

## ◆ attribute()

void libetonyek::IWORKGeometryElement::attribute | ( | int | name,
|  | const char * | value )
| overrideprotectedvirtual

Process an attribute.

Attributes are fed to the current element's context one by one.

Implements libetonyek::IWORKXMLContext.

## ◆ element()

IWORKXMLContextPtr_t libetonyek::IWORKGeometryElement::element | ( | int | name | ) |
| overrideprotectedvirtual

Create a context for parsing a child element.

Returns
  A new context or an empty pointer if the child element cannot be handled.

Implements libetonyek::IWORKXMLContext.

## ◆ endOfElement()

void libetonyek::IWORKGeometryElement::endOfElement | ( |  | ) |
| overrideprotectedvirtual

Signalize the end of an element.

Implements libetonyek::IWORKXMLContext.

## ◆ operator=()

IWORKGeometryElement & libetonyek::IWORKGeometryElement::operator= | ( | const IWORKGeometryElement & |  | ) |
| private

## Member Data Documentation

## ◆ m_angle

boost::optional<double> libetonyek::IWORKGeometryElement::m_angle
| private

Referenced by attribute(), endOfElement(), IWORKGeometryElement(), and IWORKGeometryElement().

## ◆ m_aspectRatioLocked

boost::optional<bool> libetonyek::IWORKGeometryElement::m_aspectRatioLocked
| private

Referenced by attribute(), endOfElement(), IWORKGeometryElement(), and IWORKGeometryElement().

## ◆ m_geometry

IWORKGeometryPtr_t* const libetonyek::IWORKGeometryElement::m_geometry
| private

Referenced by endOfElement(), IWORKGeometryElement(), and IWORKGeometryElement().

## ◆ m_horizontalFlip

boost::optional<bool> libetonyek::IWORKGeometryElement::m_horizontalFlip
| private

Referenced by attribute(), endOfElement(), IWORKGeometryElement(), and IWORKGeometryElement().

## ◆ m_naturalSize

boost::optional<IWORKSize> libetonyek::IWORKGeometryElement::m_naturalSize
| private

Referenced by element(), endOfElement(), IWORKGeometryElement(), and IWORKGeometryElement().

## ◆ m_pos

boost::optional<IWORKPosition> libetonyek::IWORKGeometryElement::m_pos
| private

Referenced by element(), endOfElement(), IWORKGeometryElement(), and IWORKGeometryElement().

## ◆ m_shearXAngle

boost::optional<double> libetonyek::IWORKGeometryElement::m_shearXAngle
| private

Referenced by attribute(), endOfElement(), IWORKGeometryElement(), and IWORKGeometryElement().

## ◆ m_shearYAngle

boost::optional<double> libetonyek::IWORKGeometryElement::m_shearYAngle
| private

Referenced by attribute(), endOfElement(), IWORKGeometryElement(), and IWORKGeometryElement().

## ◆ m_size

boost::optional<IWORKSize> libetonyek::IWORKGeometryElement::m_size
| private

Referenced by element(), endOfElement(), IWORKGeometryElement(), and IWORKGeometryElement().

## ◆ m_sizesLocked

boost::optional<bool> libetonyek::IWORKGeometryElement::m_sizesLocked
| private

Referenced by attribute(), endOfElement(), IWORKGeometryElement(), and IWORKGeometryElement().

## ◆ m_verticalFlip

boost::optional<bool> libetonyek::IWORKGeometryElement::m_verticalFlip
| private

Referenced by attribute(), endOfElement(), IWORKGeometryElement(), and IWORKGeometryElement().

The documentation for this class was generated from the following files:

- IWORKGeometryElement.h
- IWORKGeometryElement.cpp